Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tools
Class Boot.ApplicationBoot

    java.lang.Object
      org.jboss.tools.Boot.ApplicationBoot

All Implemented Interfaces:
  Runnable

Enclosing class:
  Boot

public class Boot.ApplicationBoot
extends Object
implements Runnable

Represents an application that can be booted.

Field Summary
`String` | `applicationClass` The applications class that will be executed.
`LinkedList` | `args` The aruments that will appsed to the application.
`protected Thread` | `bootThread`
`protected URLClassLoader` | `classloader`
`LinkedList` | `classpath` LinkedList of URL that will be used to load the application's classes and resources

Constructor Summary
`Boot.ApplicationBoot()`

Method Summary
`void` | `boot()` This is what actually loads the application classes and invokes the main method.
`void` | `run()` This is what actually loads the application classes and invokes the main method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classpath

    public LinkedList classpath

  LinkedList of URL that will be used to load the application's classes and resources

### applicationClass

    public String applicationClass

  The applications class that will be executed.

### args

    public LinkedList args

  The aruments that will appsed to the application.

### classloader

    protected URLClassLoader classloader

### bootThread

    protected Thread bootThread

Constructor Detail

### Boot.ApplicationBoot

    public Boot.ApplicationBoot()

Method Detail

### run

    public void run()

  This is what actually loads the application classes and invokes the main method. We send any unhandled exceptions to System.err

  Specified by:
    `run` in interface `Runnable`

### boot

    public void boot()
              throws ClassNotFoundException,
                     NoSuchMethodException,
                     IllegalAccessException,
                     InvocationTargetException

  This is what actually loads the application classes and invokes the main method.

  Throws:
    `ClassNotFoundException`
    `NoSuchMethodException`
    `IllegalAccessException`
    `InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.